Subject: Re: Building a relocatable DLL
From: [email-masked] (Keresztfalvi Gabor)

18 Jan 1998 22:30:42 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On Thu, 15 Jan 1998 [email-masked] wrote:

> Hello,
> 
> does anybody has tried the example contained into:
> http://www.cygnus.com/misc/gnu-win32/building-reloc-dlls.txt
> to build relocable DLL files?
> 
> I have tried it following carefully the instruction for building the 
> relocable DLL, but when executing the main program, Windows95 tell me 
> the cannot execute it due to wrong format of the program (the 
> specific message is in Italian language but this is the meaning).
> We have tried then to examinate the dll file ant it seems messed up.
>
> Tks
> Ettore Lopinto

Hi!
I had the same problem some month ago, but a didn't got any answer...

My opinion: the original Beta 18 can't make good relocatable DLL's
without patching or something else. The root of the problem is in the
linker...
So I tried the Mingw32 package by Colins
(look at http://www.fu.is.saga-u.ac.jp/~colin/index.html).
With this I was able to make working relocatable DLLs.

Other chance is the EGCS toolchain at 
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/egcs.html

BTW check the list archive, because there was some other useful info
about relocatable DLLs.

				Keresztg

+-----------------------------------------------------------------------------+
| Keresztfalvi Gabor			         Budapesti Muszaki Egyetem    |
| Web Page: http://www.piar.hu/~keresztg/	 			      |
| E-Mail: [email-masked]				:) 	      |
|         [email-masked]                                                 |
+---------- This message was transmitted on 100% recycled electrons ----------+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".